org.gradle.api.tasks

## Interface AntBuilderAware

- All Known Subinterfaces:
    ConfigurableFileCollection, ConfigurableFileTree, Configuration, FileCollection, FileTree, SourceDirectorySet, SourceSetOutput
  All Known Implementing Classes:
    PatternSet

      public interface AntBuilderAware

  An `AntBuilderAware` represents an object which can add itself to Ant tasks, using an `AntBuilder`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `addToAntBuilder(Object node, String childNodeName)`

- - ### Method Detail

    - #### addToAntBuilder

          Object addToAntBuilder(Object node,
                               String childNodeName)